Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookSyncStore

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncStore

All Implemented Interfaces:
  SyncStore

Direct Known Subclasses:
  OutlookContactStore, OutlookRecurrableStore

    public abstract class OutlookSyncStore

extends java.lang.Object
implements SyncStore

Field Summary
`protected java.lang.String` | `category`
`protected local.tomas.outlook.OutlookFolder` | `folder`
`protected java.lang.String` | `folderName`
`protected OutlookInstance` | `instance`
`protected ObjectNormalizer` | `normalizer`
`protected java.lang.String` | `storeId`

Constructor Summary
`OutlookSyncStore()`

Method Summary
`void` | `close()`
`protected abstract void` | `deleteObject(java.lang.String uid)`
`java.lang.Long` | `deleteObject(java.lang.String uid, boolean hard, java.lang.Long maxChangeCounter)`
`java.util.Set<java.lang.String>` | `getCategories(com.jacob.com.Dispatch item)`
`java.lang.String` | `getCategory()`
`java.lang.Long` | `getChangeCounter()`
`ChangeLog` | `getChangeLog(long changeCounter)`
`java.lang.String` | `getDatabaseId()`
`protected abstract int` | `getDefaultFolderId()`
`abstract java.util.Collection<SyncFieldDescription>` | `getFieldDescriptions()`
`protected java.util.Collection<SyncFieldDescription>` | `getFieldDescriptions(java.lang.Class itemClass)`
`java.lang.String` | `getFolder()`
`OutlookInstance` | `getInstance()`
`ObjectNormalizer` | `getNormalizer()`
`java.util.Map<java.lang.String,SyncObject>` | `getObjects(java.lang.String[] uids)`
`local.tomas.outlook.OutlookFolder` | `getOutlookFolder()`
`boolean` | `isChangeCounterSupported()`
`boolean` | `isTimestampSupported()`
`protected void` | `prepareItem(com.jacob.com.Dispatch item)`
`protected abstract void` | `saveObject(SyncObject object)`
`java.lang.Long` | `saveObject(SyncObject object, java.lang.Long maxChangeCounter)`
`void` | `setCategories(com.jacob.com.Dispatch item, java.util.Set<java.lang.String> categories)`
`void` | `setCategory(java.lang.String category)`
`void` | `setFolder(java.lang.String folderName)`
`void` | `setInstance(OutlookInstance instance)`
`void` | `setNormalizer(ObjectNormalizer normalizer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncStore
`createObject, getAllObjects, getObject`

Field Detail

### normalizer

    protected ObjectNormalizer normalizer

### folderName

    protected java.lang.String folderName

### folder

    protected local.tomas.outlook.OutlookFolder folder

### storeId

    protected java.lang.String storeId

### category

    protected java.lang.String category

### instance

    protected OutlookInstance instance

Constructor Detail

### OutlookSyncStore

    public OutlookSyncStore()

Method Detail

### getInstance

    public OutlookInstance getInstance()

### setInstance

    public void setInstance(OutlookInstance instance)

### getCategories

    public java.util.Set<java.lang.String> getCategories(com.jacob.com.Dispatch item)

### setCategories

    public void setCategories(com.jacob.com.Dispatch item,
                              java.util.Set<java.lang.String> categories)

### getFolder

    public java.lang.String getFolder()

### getOutlookFolder

    public local.tomas.outlook.OutlookFolder getOutlookFolder()

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String category)

### close

    public void close()

  Specified by:
    `close` in interface `SyncStore`

### setFolder

    public void setFolder(java.lang.String folderName)

### getFieldDescriptions

    protected java.util.Collection<SyncFieldDescription> getFieldDescriptions(java.lang.Class itemClass)

### prepareItem

    protected void prepareItem(com.jacob.com.Dispatch item)

### isChangeCounterSupported

    public boolean isChangeCounterSupported()
                                     throws SyncException

  Specified by:
    `isChangeCounterSupported` in interface `SyncStore`
  Throws:
    `SyncException`

### isTimestampSupported

    public boolean isTimestampSupported()
                                 throws SyncException

  Specified by:
    `isTimestampSupported` in interface `SyncStore`
  Throws:
    `SyncException`

### getChangeCounter

    public java.lang.Long getChangeCounter()
                                    throws SyncException

  Specified by:
    `getChangeCounter` in interface `SyncStore`
  Throws:
    `SyncException`

### getDatabaseId

    public java.lang.String getDatabaseId()
                                   throws SyncException

  Specified by:
    `getDatabaseId` in interface `SyncStore`
  Throws:
    `SyncException`

### getChangeLog

    public ChangeLog getChangeLog(long changeCounter)
                           throws SyncException

  Specified by:
    `getChangeLog` in interface `SyncStore`
  Throws:
    `SyncException`

### saveObject

    public java.lang.Long saveObject(SyncObject object,
                                     java.lang.Long maxChangeCounter)
                              throws SyncException

  Specified by:
    `saveObject` in interface `SyncStore`
  Throws:
    `SyncException`

### deleteObject

    public java.lang.Long deleteObject(java.lang.String uid,
                                       boolean hard,
                                       java.lang.Long maxChangeCounter)
                                throws SyncException

  Specified by:
    `deleteObject` in interface `SyncStore`
  Throws:
    `SyncException`

### getObjects

    public java.util.Map<java.lang.String,SyncObject> getObjects(java.lang.String[] uids)
                                                          throws SyncException

  Specified by:
    `getObjects` in interface `SyncStore`
  Throws:
    `SyncException`

### getNormalizer

    public ObjectNormalizer getNormalizer()

  Specified by:
    `getNormalizer` in interface `SyncStore`

### setNormalizer

    public void setNormalizer(ObjectNormalizer normalizer)

### saveObject

    protected abstract void saveObject(SyncObject object)
                                throws SyncException

  Throws:
    `SyncException`

### deleteObject

    protected abstract void deleteObject(java.lang.String uid)
                                  throws SyncException

  Throws:
    `SyncException`

### getDefaultFolderId

    protected abstract int getDefaultFolderId()

### getFieldDescriptions

    public abstract java.util.Collection<SyncFieldDescription> getFieldDescriptions()

  Specified by:
    `getFieldDescriptions` in interface `SyncStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.